### Class

# Gtk TextChildAnchor

#### Description [src]

    class Gtk.TextChildAnchor : GObject.Object {
      parent_instance: GObject
    }

A `GtkTextChildAnchor` is a spot in a `GtkTextBuffer` where child widgets can be “anchored”.

The anchor can have multiple widgets anchored, to allow for multiple views.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_text_child_anchor_new

Creates a new `GtkTextChildAnchor`.

#### Instance methods

###### gtk_text_child_anchor_get_deleted

Determines whether a child anchor has been deleted from the buffer.

###### gtk_text_child_anchor_get_widgets

Gets a list of all widgets anchored at this child anchor.

#### Class structure

    struct GtkTextChildAnchorClass {
      GObjectClass parent_class;
      void (* _gtk_reserved1) (
    void
      );
      void (* _gtk_reserved2) (
    void
      );
      void (* _gtk_reserved3) (
    void
      );
      void (* _gtk_reserved4) (
    void
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`_gtk_reserved1` |
    void (* _gtk_reserved1) (
    void
      )
| No description available.
`_gtk_reserved2` |
    void (* _gtk_reserved2) (
    void
      )
| No description available.
`_gtk_reserved3` |
    void (* _gtk_reserved3) (
    void
      )
| No description available.
`_gtk_reserved4` |
    void (* _gtk_reserved4) (
    void
      )
| No description available.